Bug 467659 - No support for Asus NX1101 Gigabit network cards in kernel
No support for Asus NX1101 Gigabit network cards in kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 23:18 EDT by Răzvan Sandu
Modified: 2008-10-24 08:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 10:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2008-10-19 23:18:37 EDT
Hello,


Description of problem:

Please add support for these network cards in kernel - this chipset is now present in some very popular network cards, such as the Asus NX1101:


Sundance Technology Inc / IC Plus Corp IC Plus IP1000 Family Gigabit Ethernet
(http://smolts.org/smolt-wiki/pci/13f0/1023/1043/8180)


Here the complete smolt profile of a machine I've recently tested on CentOS 5.2, but the situation is the same in Fedora (I've tested on Fedora 9 too):

http://www.smolts.org/client/show/pub_fa5a457f-9906-4896-a848-aad6378b2db6



Version-Release number of selected component (if applicable):
Kernel	2.6.18-102.el5.r8169.9


Many thanks,
Răzvan
Comment 1 Dave Jones 2008-10-19 23:33:02 EDT
This should be supported by the ipg driver.
Please attach a dmesg from the failing fedora kernel.
Comment 2 Chuck Ebbert 2008-10-21 09:42:51 EDT
(In reply to comment #2)
> Version-Release number of selected component (if applicable):
> Kernel 2.6.18-102.el5.r8169.9

That's not a Fedora kernel. It's a Red Hat Enterprise Linux kernel.
Comment 3 Chuck Ebbert 2008-10-21 10:11:09 EDT
Supported in Fedora 9 and rawhide (Fedora 10)
Comment 4 Răzvan Sandu 2008-10-24 08:31:00 EDT
Hello,

Yes, I'm able to confirm that it's supported now in Fedora (I've not tested for awhile).

Here's the smolt profile of a machine that succesfully runs such a card:

http://www.smolts.org/client/show/pub_7d01a861-e27f-44f2-bd2f-46fe4f5a5fb6


and the relevant output of lspci -vvv:


05:02.0 Ethernet controller: Sundance Technology Inc / IC Plus Corp IP1000 Family Gigabit Ethernet (rev 41)
	Subsystem: ASUSTeK Computer Inc. Unknown device 8180
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (20000ns min, 2500ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 23
	Region 0: I/O ports at b800 [size=256]
	Region 1: Memory at feaffc00 (32-bit, non-prefetchable) [size=256]
	Expansion ROM at 88000000 [disabled] [size=64K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable+ DSel=0 DScale=2 PME-
	Kernel driver in use: Sundance Technology IPG Triple-Speed Ethernet
	Kernel modules: ipg


Please, is there any plan to include this in RHEL/CentOS ?


Regards,
Răzvan

Note You need to log in before you can comment on or make changes to this bug.